package com.crm.rely.backend.core.pojo.table;

import com.crm.rely.backend.core.pojo.BaseTable;
import lombok.Data;

import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

@Data
@Entity
@Table(name = "tw_cooperate_daily")
public class TwCooperateDailyTable extends BaseTable {
    /**
     * 代理ID
     */
    private Long agentId;
    /**
     * 代理编号
     */
    private String ibNo;
    /**
     *  平仓盈亏
     */
    private Float totalProfit;
    /**
     * 穿仓资金
     */
    private Float negativeProfit;
    /**
     * 入金手续费
     */
    private Float depositFee;
    /**
     * 出金手续费
     */
    private Float withdrawalFee;
    /**
     * 内返
     */
    private Float rebate;
    /**
     * 手续费返佣
     */
    private Float commission;
    /**
     * 暗点返佣
     */
    private Float hidden;
    /**
     * 代理佣金
     */
    private Float sumRebate;
    /**
     * 现金嘉年华奖金/标准账户交易返现
     */
    private Float ptc;
    /**
     *  存取款报表备注为deposit的
     */
    private Float depositComment;
    /**
     * 结算盈亏
     */
    private Float settlementPl;
    /**
     * 考核前扣除 deductionBeforeAssessment
     */
    private Float dba;
    /**
     * 考核基数Assessment Base
     */
    private Float assBase;
    /**
     * 考核基数Assessment Ratio
     */
    private Float assRatio;
    /**
     * 可分利润
     */
    private Float finalProfit;

    private Date summaryDate;

    private Date startDate;

    private Date endDate;

    private Integer status;
    /**
     * 数据日期类型
     * 1:日
     * 2:周
     */
    private Integer summaryType;

    public static TwCooperateDailyTable getInstance() {
        TwCooperateDailyTable table = new TwCooperateDailyTable();
        table.setTotalProfit(0F);
        table.setNegativeProfit(0F);
        table.setDepositFee(0F);
        table.setWithdrawalFee(0F);
        table.setRebate(0F);
        table.setCommission(0F);
        table.setHidden(0F);
        table.setSumRebate(0F);
        table.setPtc(0F);
        table.setDepositComment(0F);
        table.setSettlementPl(0F);
        table.setDba(0F);
        table.setAssBase(0F);
        table.setAssRatio(0F);
        table.setFinalProfit(0F);
        return table;
    }
}
